package com.srs.comprehensive.mapper;

import java.util.List;
import com.srs.comprehensive.domain.SrsPayment;

/**
 * 费用表Mapper接口
 * 
 * @author srs
 * @date 2023-07-24
 */
public interface SrsPaymentMapper 
{
    /**
     * 查询费用表
     * 
     * @param id 费用表主键
     * @return 费用表
     */
    public SrsPayment selectSrsPaymentById(Long id);

    /**
     * 查询费用表列表
     * 
     * @param srsPayment 费用表
     * @return 费用表集合
     */
    public List<SrsPayment> selectSrsPaymentList(SrsPayment srsPayment);

    /**
     * 新增费用表
     * 
     * @param srsPayment 费用表
     * @return 结果
     */
    public int insertSrsPayment(SrsPayment srsPayment);

    /**
     * 修改费用表
     * 
     * @param srsPayment 费用表
     * @return 结果
     */
    public int updateSrsPayment(SrsPayment srsPayment);

    /**
     * 删除费用表
     * 
     * @param id 费用表主键
     * @return 结果
     */
    public int deleteSrsPaymentById(Long id);

    /**
     * 批量删除费用表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsPaymentByIds(Long[] ids);
}
